<?php

namespace Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Inflightor\Util\MessagesProcedureInflightor;
use Zeedhi\Framework\DTO\Response\Error;
use Doctrine\DBAL\Connection;

class RequisicaoController extends \Teknisa\GER\Controllers\TeknisaCrud {         
    
    public function __construct($crudService, $parameterBag,  $environment, $dataSourceManager, $MessagesProcedureInflightor, $GerarRequisicaoProcedure, $CancelaRequisicaoProcedure, $entityManager) {
        $this->crudService = $crudService;
        $this->parameterBag=$parameterBag;
        $this->environment=$environment;
        $this->dataSourceManager = $dataSourceManager;
        $this->MessagesProcedureInflightor = $MessagesProcedureInflightor;
        $this->GerarRequisicaoProcedure = $GerarRequisicaoProcedure;
        $this->CancelaRequisicaoProcedure = $CancelaRequisicaoProcedure;   
        $this->entityManager = $entityManager;
    }

	public function geraRequicaoRetirada(DTO\Request\Row $request, DTO\Response $response){
        $row = $request->getRow();
        $connection = $this->entityManager->getConnection();
        try {
            $connection->beginTransaction();
            $row['P_CDOPERADOR'] = $this->environment->getCdOperador();
            $row['P_NRORG'] = $this->environment->getNrOrgTrab();
            $resultado = $this->GerarRequisicaoProcedure->executeProcedure($row['P_CDFILIAL'], $row['P_NRREQUISICAOINF'], $row['P_CDOPERADOR'], $row['P_NRORG']);  
            $connection->commit();
        } catch (\Exception $e){
            $connection->rollback();
            $response->setError(new Error($this->MessagesProcedureInflightor->convertMessage($e->getMessage()), 500));
        }
    }

    public function cancelaRequicaoRetirada(DTO\Request\Row $request, DTO\Response $response){
        $row = $request->getRow();
        $connection = $this->entityManager->getConnection();
        try {
            $connection->beginTransaction();
            $row['P_CDOPERADOR'] = $this->environment->getCdOperador();
            $row['P_NRORG'] = $this->environment->getNrOrgTrab();
            $resultado = $this->CancelaRequisicaoProcedure->executeProcedure($row['P_CDFILIAL'], $row['P_NRREQUISICAOINF'], $row['P_CDOPERADOR'], $row['P_NRORG']);              
            $connection->commit();
        } catch (\Exception $e){
            $connection->rollback();
            $response->setError(new Error($this->MessagesProcedureInflightor->convertMessage($e->getMessage()), 500));
        }
    }
}