ALTER TABLE FCM_SOLICITACAO MODIFY NRFUNCABERTURA NULL
/

ALTER TABLE FCM_SOLICITACAO ADD CDOPERABERTURA VARCHAR2 (12)
/

ALTER TABLE FCM_SOLICITACAO MODIFY NRFUNCRESPONSAVEL NULL
/

ALTER TABLE FCM_SOLICITACAO ADD CDOPERRESPONSAVEL VARCHAR2 (12)
/

ALTER TABLE FCM_SOLICITACAO ADD NRUSUARIOAPP NUMBER
/

ALTER TABLE FCM_SOLICITACAO 
  ADD CONSTRAINT FKFCM00200OPERADOFCM_SOL_ABERT FOREIGN KEY (CDOPERABERTURA)
      REFERENCES OPERADOR (CDOPERADOR)
/

CREATE INDEX FCM0200_FK ON FCM_SOLICITACAO (CDOPERABERTURA)
/
ALTER TABLE FCM_SOLICITACAO 
  ADD CONSTRAINT FKFCM00201OPERADORFCM_SOL_RESP FOREIGN KEY (CDOPERRESPONSAVEL)
      REFERENCES OPERADOR (CDOPERADOR)
/

CREATE INDEX FCM0201_FK ON FCM_SOLICITACAO (CDOPERRESPONSAVEL)
/
ALTER TABLE FCM_SOLICITACAO 
  ADD CONSTRAINT FKFCM00202USERAPPFCM_SOLICITA FOREIGN KEY (NRUSUARIOAPP)
      REFERENCES USUARIOAPP (NRUSUARIOAPP)
/
 
CREATE INDEX FCM0202_FK ON FCM_SOLICITACAO (NRUSUARIOAPP)
/


ALTER TABLE FCM_SOLICITACAOHISTORICO MODIFY NRFUNCSOLICITANTE NULL
/

ALTER TABLE FCM_SOLICITACAOHISTORICO ADD CDOPERSOLICITANTE VARCHAR2(12)
/
ALTER TABLE FCM_SOLICITACAOHISTORICO ADD NRUSUARIOAPPSOLICITANTE NUMBER
/
ALTER TABLE FCM_SOLICITACAOHISTORICO 
  ADD CONSTRAINT FKFCM00203OPERFCM_SOLICITAHIST FOREIGN KEY (CDOPERSOLICITANTE)
      REFERENCES OPERADOR (CDOPERADOR)
/

CREATE INDEX FCM0203_FK ON FCM_SOLICITACAOHISTORICO (CDOPERSOLICITANTE)
/
ALTER TABLE FCM_SOLICITACAOHISTORICO 
  ADD CONSTRAINT FKFCM00204USERAPPFCM_SOLIHIST FOREIGN KEY (NRUSUARIOAPPSOLICITANTE)
      REFERENCES USUARIOAPP (NRUSUARIOAPP)
 /   

CREATE INDEX FCM0204_FK ON FCM_SOLICITACAOHISTORICO (NRUSUARIOAPPSOLICITANTE)
/ 


  CREATE TABLE FCM_IMGSOLICITACAO (	
  	NRIMGSOLICITACAO 	NUMBER NOT NULL, 
	NRSOLICITACAO 		NUMBER NOT NULL, 
	DSCAMINHO 		  	VARCHAR2(4000), 
	NRORG             	NUMBER 	      	DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           	VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        	DATE            DEFAULT SYSDATE,
    DTULTATU          	DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     	NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    	VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       	NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      	VARCHAR2(12)    DEFAULT '1',
		CONSTRAINT CKC_IDATIVO_FCM_IMGSOLICITACAO CHECK (IDATIVO IN ('S','N'))
 )
/
ALTER TABLE FCM_IMGSOLICITACAO ADD PRIMARY KEY (NRIMGSOLICITACAO)
/
ALTER TABLE FCM_IMGSOLICITACAO ADD CONSTRAINT FKFCM00205IMGSOLICITACAO FOREIGN KEY (NRSOLICITACAO)
	  REFERENCES FCM_SOLICITACAO (NRSOLICITACAO)
/	  
CREATE INDEX FCM0205_FK ON FCM_IMGSOLICITACAO (NRSOLICITACAO)
/


  CREATE TABLE FCM_PRIORIDADETAREFA (	
  	NRPRIORIDADETAREFA	 NUMBER 		NOT NULL, 
	NMPRIORIDADETAREFA	 VARCHAR2(150)  NOT NULL, 
	IDPRIORIDADE		 NUMBER 		NOT NULL, 
	ATRASOPERMITIDO		 VARCHAR2(5), 
	NRORG             	 NUMBER 	     DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           	 VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO        	 DATE            DEFAULT SYSDATE,
    DTULTATU          	 DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO     	 NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    	 VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       	 NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      	 VARCHAR2(12)    DEFAULT '1'
   )
/

ALTER TABLE FCM_PRIORIDADETAREFA ADD CONSTRAINT CKC_IDATIVO_FCM_PRIORIDADETAR CHECK (IDATIVO IN ('S', 'N'))
/

ALTER TABLE FCM_PRIORIDADETAREFA ADD CONSTRAINT CKC_IDPRIORIDADE_PRIORIDADETAR CHECK (IDPRIORIDADE IN ('1', '2', '3', '4'))
/
 
ALTER TABLE FCM_PRIORIDADETAREFA ADD CONSTRAINT PK_FCM_PRIORIDADETAREFA PRIMARY KEY (NRPRIORIDADETAREFA)
/

ALTER TABLE FCM_CHECKLISTAGEND ADD NRPRIORIDADETAREFA NUMBER
/
ALTER TABLE  FCM_CHECKLISTAGEND ADD CONSTRAINT FKFCM00206CHECKLISTAGEND FOREIGN KEY (NRPRIORIDADETAREFA)
	  REFERENCES FCM_PRIORIDADETAREFA (NRPRIORIDADETAREFA)
/

CREATE INDEX FCM0206_FK ON FCM_CHECKLISTAGEND (NRPRIORIDADETAREFA)
/

ALTER TABLE FCM_PARAMGERAL ADD IDVALIDACONFLITOURG VARCHAR2(1) NULL
/